#!/usr/bin/python3

import requests
import urllib

print('Script started...')

host_name = 'https://app.displayr.com'

def UploadFile(file_path):
        url = "%s/API/Upload" % host_name
        response = requests.post(url, files={'file': open(file_path, 'rb')})
        upload_id = response.headers['UploadID']
        print("File %s uploaded as %s" % (file_path, upload_id))
        return upload_id

# A demonstration of amending data using the Displayr API. Details of the API can be found at
# https://app.displayr.com/API/
#
# -----------------------------------------------------------------------------
#
# Set the following variables based on the company you are working with:

# The following can be found from the output of createproject.py or in the
# project properties in Displayr:
project_secret = 'insert-document-secret'

# File reference, as set and shown by createproject.py:
file_reference_to_update = 'current-file-name'

# Additional data file to upload
new_file_name = 'extra-data-file-name'

#
# -----------------------------------------------------------------------------
upload_id = UploadFile(new_file_name)
        
params = {'project':project_secret,'data_name':file_reference_to_update.lower(),'upload_id':upload_id,'old_serial':1,'new_serial':2,'abort':'OnWarning'}
url = "%s/API/ImportUpdatedData?%s" % (host_name, urllib.parse.urlencode(params))
print(url)
response = requests.post(url)
if response.status_code != 200:
        print("Problem using data file %s" % new_file_name)
print("Check this response contains no errors (should be a short HTML with 'success' in there):")
print(response.content)
print('Done')